
using System;
using System.Threading;

namespace Vlakna
{
	
	
	public class CompareMoreThreads
	{
		
		public CompareMoreThreads()
		{
		}
		public void compareAll() {
			Ids ids = new Ids();
			Console.WriteLine("Start more threads compare");
			foreach (String id in ids) {
				Thread t = new Thread(new ParameterizedThreadStart(compareOne));
				t.Start(id);
			}
		}
		public void compareOne(Object id) {
				String idstring = (String) id;
				Page p = new Page(idstring);
				String saved = p.getSavedPage();
				String current = p.getCurrentPage();
				Console.WriteLine("Got " + idstring);
				Console.WriteLine("Start comparing " + idstring + ".");
				if (saved.Equals("")) {
					//Does not have previous version of the page
					p.savePage(current);
					Console.WriteLine("Not yet " + idstring);
				} else {
					if (!saved.Equals(current)) {
						//Changed
						p.savePage(current);
						Console.WriteLine("Changed " + idstring);
						//Console.WriteLine(saved);
					} else {
						Console.WriteLine("Not changed " + idstring);
						//Console.WriteLine(saved);
					}
				}
			
		}
	}
	
	
}