
using System;

namespace Vlakna
{
	
	
	public class CompareOneThread
	{
		
		public CompareOneThread()
		{
		}
		public void compareAll() {
			Ids ids = new Ids();
			Console.WriteLine("Start one thread compare");
			foreach (String id in ids) {
				compareOne(id);
			}
			Console.WriteLine("Stop one thread compare");
		}
		private void compareOne(String id) {
			Page p = new Page(id);
			String saved = p.getSavedPage();
			String current = p.getCurrentPage();
			Console.WriteLine("Got " + id);
			Console.WriteLine("Start comparing " + id + ".");
			if (saved.Equals("")) {
				//Does not have previous version of the page
				p.savePage(current);
				Console.WriteLine("Not yet " + id);
			} else {
				if (!saved.Equals(current)) {
					//Changed
					p.savePage(current);
					Console.WriteLine("Changed " + id);
				} else {
					Console.WriteLine("Not changed " + id);
				}
			}
		}
	}
}
