
using System;
using System.Net;
using System.IO;
using System.Text;

namespace Vlakna
{
	
	
	public class Page
	{
		private String id;
		private String result = null;
		public Page(String id)
		{
			this.id = id;
		}
		public String getCurrentPage() {
			try {
    			WebClient client = new WebClient();
    			//result = client.DownloadString( "http://rozvrh.vsb.cz/Reporting/Individual?idtype=id&objectclass=staff&weeks=1-15&identifier=" + this.id + "&template=VyucujiciNaz" );
				result = client.DownloadString( "http://localhost/rozvrh/test.php?id=" + this.id );
				int startIndex = result.IndexOf("START COLUMN LABELS ONE");
				int endIndex = result.IndexOf("START REPORT FOOTER");
				result = result.Substring(startIndex, endIndex - startIndex);
			} catch (Exception ex) {
    			// handle error
    			Console.WriteLine ( ex.Message );
			}
			return result;
		}
		public String getSavedPage() {
			if (File.Exists(this.id)) {
				StreamReader sr = null;
				try {
					FileStream fs = new FileStream(this.id, FileMode.Open);
					sr = new StreamReader(fs);
					return sr.ReadToEnd();
				} catch (Exception ex) {
					return "";
				} finally {
					sr.Close();
				}	
			} else {
				return "";
			}
		}
		public void savePage(String content) {
			FileStream fs = new FileStream(this.id, FileMode.Create);
			StreamWriter sw = new StreamWriter(fs);
			sw.Write(content);
			sw.Close();
		}
	}
}
